#pragma once
#include <string>

#include "DllDefines.h"

#include "../include/dbini.h"

class UTILITYDLL DbConfig
{
public:
    static DbConfig& Instance();
    std::string ConnectionString(const std::string& strDbName) const;

private:
    DbConfig(void);
    ~DbConfig(void);

    //
    std::string m_strProvider{ CONNECTION_STRING };
};
